LibreOffice: Gradient Struct Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Public Attributes | List of all members
Gradient Struct Referencepublished

Describes a gradient between two colors. More...

`import"Gradient.idl";`

## Public Attributes
com::sun::star::awt::GradientStyle | Style
| specifies the style of the gradient. More...
com::sun::star::util::Color | StartColor
| specifies the color at the start point of the gradient. More...
com::sun::star::util::Color | EndColor
| specifies the color at the end point of the gradient. More...
short | Angle
| angle of the gradient in 1/10 degree. More...
short | Border
| per cent of the total width where just the start color is used. More...
short | XOffset
| Specifies the X-coordinate, where the gradient begins, whatever that means. More...
short | YOffset
| Specifies the Y-coordinate, where the gradient begins. More...
short | StartIntensity
| Specifies the intensity at the start point of the gradient. More...
short | EndIntensity
| specifies the intensity at the end point of the gradient. More...
short | StepCount
| Specifies the number of steps of change color. More...

## Detailed Description

Describes a gradient between two colors.

Many aspects of the gradient are undefined, like the algorithm and color space to use to interpolate between the colors and what "intensity" means.

## Member Data Documentation

## ◆ Angle

short Angle

angle of the gradient in 1/10 degree.

## ◆ Border

short Border

per cent of the total width where just the start color is used.

## ◆ EndColor

com::sun::star::util::Color EndColor

specifies the color at the end point of the gradient.

## ◆ EndIntensity

short EndIntensity

specifies the intensity at the end point of the gradient.

## ◆ StartColor

com::sun::star::util::Color StartColor

specifies the color at the start point of the gradient.

## ◆ StartIntensity

short StartIntensity

Specifies the intensity at the start point of the gradient.

What that means is undefined.

## ◆ StepCount

short StepCount

Specifies the number of steps of change color.

What that means is undefined.

## ◆ Style

com::sun::star::awt::GradientStyle Style

specifies the style of the gradient.

## ◆ XOffset

short XOffset

Specifies the X-coordinate, where the gradient begins, whatever that means.

Possibly means the center of the ELLIPTICAL, SQUARE and RECT style gradients?

## ◆ YOffset

short YOffset

Specifies the Y-coordinate, where the gradient begins.

See previous field.

The documentation for this struct was generated from the following file:

- com/sun/star/awt/Gradient.idl